waffle.jaas

## Class GroupPrincipalTests

- java.lang.Object
- - waffle.jaas.GroupPrincipalTests

    public class GroupPrincipalTests
    extends Object

The Class GroupPrincipalTests.

Author:
  rockchip[dot]tv[at]gmail[dot]com

### Constructor Summary

Constructors
Constructor and Description
`GroupPrincipalTests()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `equals_otherObject()` Equals_other object.
`void` `equals_sameObject()` Equals_same object.
`void` `setUp()` Sets the up.
`void` `testEquals_Symmetric()` Test equals_ symmetric.
`void` `testIsSerializable()` Test is serializable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupPrincipalTests

    public GroupPrincipalTests()

### Method Detail

#### equals_otherObject

    public void equals_otherObject()

Equals_other object.

#### equals_sameObject

    public void equals_sameObject()

Equals_same object.

#### setUp

    public void setUp()

Sets the up.

#### testEquals_Symmetric

    public void testEquals_Symmetric()

Test equals_ symmetric.

#### testIsSerializable

    public void testIsSerializable()
                            throws IOException,
                                   ClassNotFoundException

Test is serializable.

Throws:
  `IOException` - Signals that an I/O exception has occurred.
  `ClassNotFoundException` - the class not found exception